Bug 170757 - libsepol must restart init after upgrade
Summary: libsepol must restart init after upgrade
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libsepol   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-14 13:40 UTC by Ralf Ertzinger
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 19:30:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Ertzinger 2005-10-14 13:40:50 UTC
Description of problem:
I think (this is a guess and the bug has not been tested for) that libsepol
suffers from the same shortcoming as libselinx, described in bug 170733. Namely,
it has to restart init (by issuing telinit U in %post) after an upgrade or /
will not be cleanly remounted at system shutdown, resulting in a journal replay
on the next boot.


Version-Release number of selected component (if applicable):
libsepol-1.9.14.1-1

How reproducible:
Always

Steps to Reproduce:
1. Reboot
2. Upgrade (or downgrade) libsepol
3. Reboot
  
Actual results:
Unable to remount / ro, journal replay on next boot

Expected results:
Clean reboot

Additional info:

Comment 1 Daniel Walsh 2005-10-14 15:26:54 UTC
Bill does this make sense?

Comment 2 Bill Nottingham 2005-10-17 19:10:50 UTC
Sounds right.

Comment 3 Daniel Walsh 2005-10-17 19:30:44 UTC
Fixed in  1.9.18
-1


Note You need to log in before you can comment on or make changes to this bug.